## org.apache.axis.transport.http
Class SocketHolder

    java.lang.Object
      org.apache.axis.transport.http.SocketHolder

public class SocketHolder
extends java.lang.Object

hold a Socket.

Author:
  Davanum Srinivas (dims@yahoo.com)

Constructor Summary
`SocketHolder(java.net.Socket value)`

Method Summary
`java.net.Socket` `getSocket()`
`void` `setSocket(java.net.Socket value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketHolder

    public SocketHolder(java.net.Socket value)

Method Detail

### getSocket

    public java.net.Socket getSocket()

### setSocket

    public void setSocket(java.net.Socket value)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.